package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.OrderDetails;
import com.diagbot.entity.OrderDetailsIndex;
import com.diagbot.entity.wrapper.OrderDetailsWapper;
import com.diagbot.mapper.OrderDetailsMapper;
import com.diagbot.service.OrderDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 订单明细表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Service
public class OrderDetailsServiceImpl extends ServiceImpl<OrderDetailsMapper, OrderDetails> implements OrderDetailsService {

    /**
     * @Description: 订单编号查询订单明细
     * @Author: wangyu
     * @Date: 20:17 2018/9/19
     */
    @Override
    public IPage<OrderDetails> orderDetialShow(Page page, OrderDetails orderDetails){
        return baseMapper.orderDetialShow(page,orderDetails);
    }

    /**
     * @Description: （审核）查询订单明细相关信息
     * @Author: wangyu
     * @Date: 15:25 2018/9/21
     */
    @Override
    public List<OrderDetailsWapper> seleAllOrderDetials(OrderDetailsIndex orderDetailsIndex) {
        return baseMapper.seleAllOrderDetials(orderDetailsIndex);
    }
}
